const { spawn, spawnSync, exec } = require('child_process')
const chalk = require('chalk')
const { isExistApp } = require('./checkIsExistReactProject')

const installCreateReactApp = ({ isYarn, projectName }) => {
  if (!isExistApp) {
    return
  }

  // Create new reactjs typscript project
  console.log(chalk.green(`🥳 Initial project ...`))
  spawnSync(
    isYarn ? 'yarn' : 'npx',
    [
      `${
        isYarn ? 'create react-app' : 'create-react-app'
      } ${projectName} --template typescript`
    ],
    { shell: true, stdio: 'inherit' }
  )
}

module.exports.installCreateReactApp = installCreateReactApp
